Bug 104479 - Fix display or raw images in digikam
Summary: Fix display or raw images in digikam
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Markus Brueffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-16 21:30 UTC by Andy Fawcett
Modified: 2006-10-24 00:20 UTC (History)
1 user (show)

See Also:


Attachments
digikam-patch (1.86 KB, text/plain)
2006-10-16 21:30 UTC, Andy Fawcett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Fawcett 2006-10-16 21:30:18 UTC

Digikam uses 'dcraw' to display raw images. Several revisions of dcraw ago, the "-2" parameter was removed and is no longer valid.

Displaying raw images currently fails with digikam

How-To-Repeat: 

Open raw image in digikam or showfoto
Comment 1 Edwin Groothuis freebsd_committer 2006-10-16 22:17:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Markus Brueffer freebsd_committer 2006-10-23 18:00:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->markus

I'll handle this one.
Comment 3 dfilter service freebsd_committer 2006-10-24 00:09:36 UTC
markus      2006-10-23 23:09:30 UTC

  FreeBSD ports repository

  Modified files:
    graphics/digikam     Makefile 
    graphics/digikam/files 
                           patch-digikam_utilities_imageeditor_imlibinterface.cpp 
  Log:
  - Fix display of RAW images
  - Bump PORTREVISION
  
  PR:             ports/104479
  Submitted by:   Andy Fawcett <andy@athame.co.uk>
  Approved by:    portmgr (erwin)
  
  Revision  Changes    Path
  1.27      +1 -1      ports/graphics/digikam/Makefile
  1.3       +11 -2     ports/graphics/digikam/files/patch-digikam_utilities_imageeditor_imlibinterface.cpp
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Markus Brueffer freebsd_committer 2006-10-24 00:09:50 UTC
State Changed
From-To: feedback->closed

Committed, thanks! 

Due to the nearing end of the ports freeze and the desire to ship this fix 
in the 6.2 release it wasn't waited until a maintainer approval or timeout. 
Instead the maintainer was overruled by portmgr, considering the triviality 
of the fix.